Index: ow/templates/update_workout_from_file.pt
===================================================================
--- ow/templates/update_workout_from_file.pt	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ ow/templates/update_workout_from_file.pt	(revision 5ec3a0b5cf5640304a0953320daef2a28bbca9a5)
@@ -19,65 +19,31 @@
 
   <metal:content metal:fill-slot="content">
-
-    <div class="uploading-workout hidden">
-      <h2 i18n:translate="">Uploading workout, please wait...</h2>
-      <p i18n:translate="">
-        This can take a moment, depending on the size of your tracking file and your connection speed. Be patient and please don't hit the stop or go back buttons on your browser.
-      </p>
-      <img src="" alt="Loading workout" i18n:attributes="alt"
-           tal:attributes="src request.static_url('ow:static/media/img/loading.gif')">
-    </div>
-
-    <div id="update_workout_file" class="ow-forms">
-
-      <a class="back" href="" tal:attributes="href request.resource_url(context)"
-         i18n:translate="">Back</a>
-
+    <div id="update_workout_file">
       ${form.begin(multipart=True)}
       ${form.csrf_token()}
 
-      <h2 tal:content="context.title"></h2>
-
-      <div tal:condition="context.has_tracking_file">
-
-        <h3 i18n:translate="">
-          Existing
-          <tal:filetype i18n:name="filetype"
-                        tal:content="context.tracking_filetype"></tal:filetype>
-          tracking file data
-        </h3>
-
-        <ul class="workout-activity-summary" id=""
-            tal:attributes="id 'workout-' + context.workout_id + '-details'"
-            tal:define="timezone request.root[request.authenticated_userid].timezone">
-          <li>
-            <tal:t i18n:translate="">Start:</tal:t>
-            <tal:c tal:content="context.start_in_timezone(timezone)"></tal:c>
-          </li>
-          <li>
-            <tal:t i18n:translate="">Duration:</tal:t>
-            <tal:c tal:content="context._duration"></tal:c>
-          </li>
-          <li>
-            <tal:t i18n:translate="">Distance:</tal:t>
-            <tal:c tal:content="context.rounded_distance"></tal:c>
-          </li>
-        </ul>
-        <div id="" tal:content="context.notes"
-             tal:attributes="id 'workout-' + context.workout_id + '-notes'">
-        </div>
+      <div tal:condition="context.has_tracking_file"
+           i18n:translate="">
+        Existing
+        <tal:filetype i18n:name="filetype"
+                      tal:content="context.tracking_filetype"></tal:filetype>
+        tracking file data:
+        <tal:data i18n:name="start"
+                  tal:content="context.start"></tal:data> -
+        <tal:data i18n:name="end"
+                  tal:content="context.end"></tal:data> -
+        <tal:data i18n:name="distance"
+                  tal:content="context.distance"></tal:data> kms
       </div>
 
       <fieldset>
         ${form.errorlist('tracking_file')}
-        <div>
-          <label for="notes" i18n:translate="">Workout file (gpx, fit):</label>
-          ${form.file('tracking_file')}
-        </div>
+        <label for="notes" i18n:translate="">Workout file (gpx, fit):</label>
+        ${form.file('tracking_file')}
       </fieldset>
 
-      <tal:with-localizer tal:define="localizer get_localizer(request)">
-        ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
-      </tal:with-localizer>
+      ${form.submit("submit", "Save")}
+      <a href="" tal:attributes="href request.resource_url(request.root)"
+         i18n:translate="">Cancel</a>
 
       ${form.end()}
@@ -86,16 +52,3 @@
   </metal:content>
 
-  <metal:body-js metal:fill-slot="body-js">
-    <script>
-        $(document).ready(function(){
-            $("#update_workout_file form").on("submit", function(){
-                console.log('Showing spinner');
-                $("#update_workout_file").fadeOut();
-                $("div.uploading-workout").fadeIn();
-            });
-        });
-    </script>
-  </metal:body-js>
-
-
 </html>
